# Gimp.ProcedureConfig.prototype.get_color_array

    function get_color_array(property_name: String): Array(Gegl.Color) {
        // Gjs wrapper for gimp_procedure_config_get_color_array()
    }

A function for bindings to get a [type@ColorArray] property. Getting these with [method@GObject.Object.get] or [method@GObject.Object.get_property] won't [work for the time being](https://gitlab.gnome.org/GNOME/gobject-introspection/-/issues/492) so all our boxed array types must be set and get using these alternative functions instead.

C plug-ins should just use [method@GObject.Object.get].

Since 3.0

property_name

  the name of a [struct@ParamSpecCoreObjectArray] param spec.

Returns

  an array of GObject.Objects.